=== debian/changelog ===
apvlv (0.4.0+repack-2) unstable; urgency=medium

  * Bump Standards-Version: 4.6.2
  * d/rules: add execute_before_dh_auto_build execute_after_dh_builddeb target
    (Closes: #1043628)
  * d/copyright: update year info to 2023
  * Run wrap-and-sort -asbkt

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 15 Aug 2023 17:08:48 +0800

apvlv (0.4.0+repack-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake and libpoppler-glib-dev.
    + apvlv: Drop versioned constraint on poppler-data in Suggests.

  [ xiao sheng wen ]
  * New maintainer (Closes: #798945)
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.0.7.3-1.
  * d/control:
      - add Provides: pdf-viewer(Closes: #734657)
      - use mandoc to get Startup.pdf, pass the reprotest
      - add Rules-Requires-Root: no
  * d/copyright:
      - add 2022 xiao sheng wen <atzlinux@sina.com>
      - update the upstream year info to 2021
  * d/upstream/metadata: add Repository: and Repository-Browse: fields
  * Bump Standards-Version: 4.6.1.0
  * d/watch: add repacksuffix=+repack
  * import upstream repack suffix version 0.4.0+repack
  * d/mime: fix typo, add one space before word "priority"
  * d/rules: remove -DAPVLV_WITH_UMD=OFF,useless in the current upstream version

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 19 Jul 2022 15:17:38 +0800
