=== debian/control ===
Source: apvlv
Section: text
Priority: optional
Maintainer: xiao sheng wen <atzlinux@sina.com>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 ghostscript,
 libdjvulibre-dev,
 libepub-dev,
 libgtk-3-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libwebkit2gtk-4.0-dev,
 libxml2-dev,
 mandoc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://naihe2010.github.io/apvlv/
Vcs-Git: https://salsa.debian.org/debian/apvlv.git
Vcs-Browser: https://salsa.debian.org/debian/apvlv

Package: apvlv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 pdf-viewer,
Suggests:
 poppler-data,
Description: PDF viewer with Vim-like behaviour
 apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF viewer, that uses
 poppler for rendering. Its interface aims to users who like vim behaviour.
 For example opening a PDF file can be done with ':o filename'. apvlv can also
 work with tabs, so you can open multiple files at the same time in one
 program.
