=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DAPVLV_WITH_TXT=ON

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress -XStartup.pdf

execute_before_dh_auto_build:
	cp -v Startup.pdf debian/orig.Startup.pdf

execute_before_dh_installdocs:
	mandoc -T pdf apvlv.1 > Startup.pdf

execute_after_dh_builddeb:
	mv -v debian/orig.Startup.pdf Startup.pdf

# cmake is a nice way to install this package's files, but it gets a
# few things wrong.  We run dh_auto_install and then tidy up.  Also
# see the d/install file.
execute_after_dh_auto_install:
	mv debian/apvlv/usr/share/doc/apvlv/apvlvrc.example \
		debian/apvlv/usr/share/doc/apvlv/examples/
	mv debian/apvlv/usr/share/doc/apvlv/main_menubar.glade \
		debian/apvlv/usr/lib/apvlv/
	rm -r debian/apvlv/usr/share/doc/apvlv/icons/
