## apvlv 0.5.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,14 +18,20 @@
 PKG_CHECK_MODULES(FREETYPE2 freetype2 REQUIRED)
 PKG_CHECK_MODULES(GTK gtk+-3.0)
 PKG_CHECK_MODULES(GLIB2 glib-2.0 REQUIRED)
-PKG_CHECK_MODULES(WEBKIT webkit2gtk-4.0 REQUIRED)
+PKG_CHECK_MODULES(LIBXML libxml-2.0 REQUIRED)
+PKG_CHECK_MODULES(WEBKIT webkit2gtk-4.1)
+if (NOT WEBKIT_FOUND)
+  PKG_CHECK_MODULES(WEBKIT webkit2gtk-4.0 REQUIRED)
+endif()
 INCLUDE_DIRECTORIES(${FREETYPE2_INCLUDE_DIRS}
         ${GTK_INCLUDE_DIRS}
         ${GLIB2_INCLUDE_DIRS}
+        ${LIBXML_INCLUDE_DIRS}
         ${WEBKIT_INCLUDE_DIRS})
 LINK_DIRECTORIES(${FREETYPE2_LIBRARY_DIRS}
         ${GTK_LIBRARY_DIRS}
         ${GLIB2_LIBRARY_DIRS}
+        ${LIBXML_LIBRARY_DIRS}
         ${WEBKIT_LIBRARY_DIRS})
 
 IF (WIN32)
@@ -50,7 +56,7 @@
         ApvlvFile.h
         ApvlvPdf.h
         ApvlvInfo.h
-        ApvlvMenu.h
+        ApvlvMenuAndTool.h
         ApvlvParams.h
         ApvlvUtil.h
         ApvlvView.h
@@ -68,7 +74,7 @@
         ApvlvFile.cc
         ApvlvPdf.cc
         ApvlvInfo.cc
-        ApvlvMenu.cc
+        ApvlvMenuAndTool.cc
         ApvlvParams.cc
         ApvlvUtil.cc
         ApvlvView.cc
@@ -116,7 +122,7 @@
         ${GTHREAD2_LIBRARIES}
         ${WEBKIT_LIBRARIES}
         "-lepub"
-        "-lxml2"
+        ${LIBXML_LIBRARIES}
         ${APVLV_REQ_LIBRARIES})
 
 IF (WIN32)
