=== src/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
         ApvlvFile.h
         ApvlvPdf.h
         ApvlvInfo.h
-        ApvlvMenuAndTool.h
+        ApvlvMenu.h
         ApvlvParams.h
         ApvlvUtil.h
         ApvlvView.h
@@ -74,7 +74,7 @@
         ApvlvFile.cc
         ApvlvPdf.cc
         ApvlvInfo.cc
-        ApvlvMenuAndTool.cc
+        ApvlvMenu.cc
         ApvlvParams.cc
         ApvlvUtil.cc
         ApvlvView.cc
