=== debian/changelog ===
apvlv (0.5.0+repack-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:46 +1100

apvlv (0.5.0+repack-2build2) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:34:04 +1300

apvlv (0.5.0+repack-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:49:21 +0000

apvlv (0.5.0+repack-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Build with webkit2gtk 4.1

  [ xiao sheng wen ]
  * d/copyright: update year info to 2024

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 04 Jan 2024 10:24:02 +0800

apvlv (0.5.0+repack-1) unstable; urgency=medium

  * New upstream version 0.5.0+repack
  * Refresh debian/patches
  * d/rules: rm usr/share/man/apvlv.1, which has wrong man path
  * delete d/apvlv.xpm, useless,
    new upstream apvlv.desktop use Icon=x-office-document
  * d/copyright: remove unused debian/apvlv.xpm file info
  * Update d/dirs, match d/rules execute_after_dh_auto_install target

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 28 Aug 2023 18:52:06 +0800
