=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apvlv
 Section: text
 Priority: optional
-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -11,7 +12,7 @@
  libgtk-3-dev,
  libpoppler-glib-dev,
  libpoppler-private-dev,
- libwebkit2gtk-4.0-dev,
+ libwebkit2gtk-4.1-dev,
  libxml2-dev,
  mandoc,
 Standards-Version: 4.6.2
