=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//, repacksuffix=+repack" \
https://github.com/naihe2010/apvlv/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
