## apvlv 0.5.0-final+repack

=== debian/changelog ===
apvlv (0.5.0-final+repack-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * d/gbp.conf: delete some lines which is gbp's default setting value

 -- xiao sheng wen <atzlinux@sina.com>  Sat, 15 Jun 2024 15:04:48 +0800
