=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apvlv
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Maintainer: xiao sheng wen <atzlinux@sina.com>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
