=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ADD_COMPILE_OPTIONS(-std=c++11)
+ADD_COMPILE_OPTIONS(-std=c++17)
 
 IF (WIN32)
     ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
@@ -21,8 +21,8 @@
 PKG_CHECK_MODULES(LIBXML libxml-2.0 REQUIRED)
 PKG_CHECK_MODULES(WEBKIT webkit2gtk-4.1)
 if (NOT WEBKIT_FOUND)
-  PKG_CHECK_MODULES(WEBKIT webkit2gtk-4.0 REQUIRED)
-endif()
+    PKG_CHECK_MODULES(WEBKIT webkit2gtk-4.0 REQUIRED)
+endif ()
 INCLUDE_DIRECTORIES(${FREETYPE2_INCLUDE_DIRS}
         ${GTK_INCLUDE_DIRS}
         ${GLIB2_INCLUDE_DIRS}
@@ -56,7 +56,7 @@
         ApvlvFile.h
         ApvlvPdf.h
         ApvlvInfo.h
-        ApvlvMenu.h
+        ApvlvMenuAndTool.h
         ApvlvParams.h
         ApvlvUtil.h
         ApvlvView.h
@@ -64,8 +64,11 @@
         ApvlvCompletion.h
         ApvlvHtm.h
         ApvlvEpub.h
+        ApvlvTxt.h
+        ApvlvFb2.h
         ApvlvContent.h
-        )
+        ApvlvLab.h
+)
 
 SET(SOURCES
         ApvlvCmds.cc
@@ -74,7 +77,7 @@
         ApvlvFile.cc
         ApvlvPdf.cc
         ApvlvInfo.cc
-        ApvlvMenu.cc
+        ApvlvMenuAndTool.cc
         ApvlvParams.cc
         ApvlvUtil.cc
         ApvlvView.cc
@@ -82,9 +85,12 @@
         ApvlvCompletion.cc
         ApvlvHtm.cc
         ApvlvEpub.cc
+        ApvlvTxt.cc
+        ApvlvFb2.cc
         ApvlvContent.cc
+        ApvlvLab.cc
         main.cc
-        )
+)
 
 OPTION(APVLV_WITH_DJVU "If build apvlv with djvu format support." OFF)
 IF (APVLV_WITH_DJVU)
@@ -105,14 +111,6 @@
     SET(HEADERS ${HEADERS} ApvlvDjvu.h)
     SET(SOURCES ${SOURCES} ApvlvDjvu.cc)
 ENDIF (APVLV_WITH_DJVU)
-
-OPTION(APVLV_WITH_TXT "If build binary with txt format support." OFF)
-IF (APVLV_WITH_TXT)
-    ADD_DEFINITIONS(-DAPVLV_WITH_TXT)
-
-    SET(HEADERS ${HEADERS} ApvlvTxt.h)
-    SET(SOURCES ${SOURCES} ApvlvTxt.cc)
-ENDIF (APVLV_WITH_TXT)
 
 ADD_EXECUTABLE(apvlv ${HEADERS} ${SOURCES})
