## apvlv 0.6.0-final+repack

=== debian/changelog ===
apvlv (0.6.0-final+repack-1) unstable; urgency=medium

  * New upstream version
  * d/control:
      - Bump Standards-Version: 4.7.0, no change needed
      - update Description and long Description

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 08 Aug 2024 19:15:31 +0800
