=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libwebkit2gtk-4.1-dev,
  libxml2-dev,
  mandoc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://naihe2010.github.io/apvlv/
 Vcs-Git: https://salsa.debian.org/debian/apvlv.git
@@ -29,9 +29,9 @@
  pdf-viewer,
 Suggests:
  poppler-data,
-Description: PDF viewer with Vim-like behaviour
- apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF viewer, that uses
- poppler for rendering. Its interface aims to users who like vim behaviour.
+Description: PDF/EPUB/TXT/FB2 viewer with Vim-like behaviour
+ apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF/EPUB/TXT/FB2 viewer,
+ that uses poppler for rendering. Its interface aims to users who like vim
+ behaviour.
  For example opening a PDF file can be done with ':o filename'. apvlv can also
- work with tabs, so you can open multiple files at the same time in one
- program.
+ work with tabs, so you can open multiple files at the same time in one program.
