=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -33,3 +36,4 @@
 	mv debian/apvlv/usr/share/doc/apvlv/main_menubar.glade \
 		debian/apvlv/usr/lib/apvlv/
 	rm -r debian/apvlv/usr/share/doc/apvlv/icons/
+	rm -fv debian/apvlv/usr/share/man/apvlv.1
