## apvlv 0.7.0-alpha

=== debian/changelog ===
apvlv (0.7.0-alpha-2ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:03:13 +0200

apvlv (0.7.0-alpha-2ubuntu1) plucky; urgency=medium

  * d/control: Add dependency on liblibreofficekitgtk to fix FTBFS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 09:43:51 +0000

apvlv (0.7.0-alpha-2build1) plucky; urgency=medium

  * No-change rebuild for libgumbo3.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 03 Feb 2025 17:59:45 +0000

apvlv (0.7.0-alpha-2) unstable; urgency=medium

  * d/control:
      - Recommends: add tesseract-ocr-chi-sim tesseract-ocr-eng
      - update Description, add MOBI/CBZ/HTML file type
  * d/rules:
      - dh_compress add -x.qm, don't compress qt translations files
      - execute_after_dh_auto_install target only deal with manpages
  * d/p/add-MUPDF_STATIC_LIBRARIES.patch: add Forwarded
        https://github.com/naihe2010/apvlv/issues/94

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 25 Dec 2024 09:51:14 +0800

apvlv (0.7.0-alpha-1) unstable; urgency=medium

  * New upstream version 0.7.0-alpha
  * d/watch: not use repack opts
  * d/rules:
      - dh_auto_configure add -DCMAKE_PREFIX_PATH=/usr/lib/qt6
      - execute_before_dh_auto_build: add mkdir -pv share/doc/apvlv/translations
      - update execute_after_dh_auto_install
  * debian/patches:
      - rm 0006-restore-Debian-CXXFLAGS.patch
      - add add-MUPDF_STATIC_LIBRARIES.patch
  * d/control: update Build-Depends, new upstream use qt6, not use gtk
  * rm d/dirs, d/install, useless
  * d/copyright:
      - remove Files-Excluded: win32, new upstream had deleted this directory
      - delete icons/* setion and License CC-BY-SA-3.0 LGPL-3

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 20 Dec 2024 09:19:03 +0800
