=== debian/control ===
--- 
+++ 
@@ -1,19 +1,31 @@
 Source: apvlv
 Section: text
 Priority: optional
-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  ghostscript,
  libdjvulibre-dev,
  libepub-dev,
- libgtk-3-dev,
+ libgumbo-dev,
+ libharfbuzz-dev,
+ libjbig2dec0-dev,
+ libmujs-dev,
+ libmupdf-dev,
+ libopenjp2-7-dev,
  libpoppler-glib-dev,
  libpoppler-private-dev,
- libwebkit2gtk-4.1-dev,
- libxml2-dev,
+ libquazip1-qt6-dev,
+ libreofficekit-dev,
+ libtesseract-dev,
  mandoc,
+ qt6-base-dev-tools,
+ qt6-l10n-tools,
+ qt6-pdf-dev,
+ qt6-webengine-dev,
+ liblibreofficekitgtk,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://naihe2010.github.io/apvlv/
@@ -25,11 +37,14 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ tesseract-ocr-chi-sim,
+ tesseract-ocr-eng,
 Provides:
  pdf-viewer,
 Suggests:
  poppler-data,
-Description: PDF/EPUB/TXT/FB2 viewer with Vim-like behaviour
+Description: PDF/EPUB/TXT/FB2/MOBI/CBZ/HTML ... viewer with Vim-like behaviour
  apvlv (Alf's PDF Viewer Like Vim) is a small and fast PDF/EPUB/TXT/FB2 viewer,
  that uses poppler for rendering. Its interface aims to users who like vim
  behaviour.
