=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_PREFIX_PATH="/usr/lib/qt6" \

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress -XStartup.pdf -X.qm

execute_before_dh_auto_build:
	cp -v Startup.pdf debian/orig.Startup.pdf
	mkdir -pv share/doc/apvlv/translations

execute_before_dh_installdocs:
	mandoc -T pdf apvlv.1 > Startup.pdf

execute_after_dh_builddeb:
	mv -v debian/orig.Startup.pdf Startup.pdf

# cmake is a nice way to install this package's files, but it gets a
# few things wrong.  We run dh_auto_install and then tidy up.  Also
# see the d/manpages file.
execute_after_dh_auto_install:
	rm -fv debian/apvlv/usr/share/man/apvlv.1
