## apvlv 0.7.0-final

=== debian/changelog ===
apvlv (0.7.0-final-1) unstable; urgency=medium

  * New upstream version 0.7.0-final
  * rm d/p/add-MUPDF_STATIC_LIBRARIES.patch, new upstream applied
  * d/control: Build-Depends add libcmark-dev
  * d/copyright: fix old-fsf-address-in-copyright-file

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 10 Apr 2025 08:43:52 +0800

apvlv (0.7.0-alpha-5) unstable; urgency=medium

  * add d/p/add-CXXFLAGS.patch, let blhc happy

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 06 Mar 2025 16:03:27 +0800

apvlv (0.7.0-alpha-4) unstable; urgency=medium

  * fix typo in 0.7.0-alpha-3 changelog

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 06 Mar 2025 15:52:06 +0800

apvlv (0.7.0-alpha-3) unstable; urgency=medium

  * Bump Standards-Version: 4.7.2
  * d/copyright: update year info to 2025
  * d/control: Build-Depends add liblibreofficekitgtk(Closes: #1099216)

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 06 Mar 2025 13:20:00 +0800
