=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: apvlv
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: xiao sheng wen <atzlinux@sina.com>
+Maintainer: xiao sheng wen <atzlinux@sina.com>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  ghostscript,
+ libcmark-dev,
  libdjvulibre-dev,
  libepub-dev,
  libgumbo-dev,
  libharfbuzz-dev,
  libjbig2dec0-dev,
+ liblibreofficekitgtk,
  libmujs-dev,
  libmupdf-dev,
  libopenjp2-7-dev,
@@ -25,8 +26,7 @@
  qt6-l10n-tools,
  qt6-pdf-dev,
  qt6-webengine-dev,
- liblibreofficekitgtk,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://naihe2010.github.io/apvlv/
 Vcs-Git: https://salsa.debian.org/debian/apvlv.git
